package com.hfkj.service.item;

import com.hfkj.entity.EnSerCompanySgRel;

import java.util.List;
import java.util.Map;

public interface EnSerCompanySgRelService {

    /**
     * @MethodName create
     * @Description:新增
     * @param enSerCompanySgRel
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午6:10
     */
    void create(EnSerCompanySgRel enSerCompanySgRel);

    /**
     * @MethodName update
     * @Description:修改
     * @param enSerCompanySgRel
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午6:10
     */
    void update(EnSerCompanySgRel enSerCompanySgRel);


    /**
     * @MethodName delete
     * @Description:删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午6:11
     */
    void delete(Long id , Boolean fullDelete);
    void deleteAllByCompanyId(Long companyId , Boolean fullDelete , Long createUser);



    /**
     * @MethodName queryDetail
     * @Description:查询详情
     * @param id
     * @return: com.hfkj.entity.EnSerCompanySgRel
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午6:11
     */
    EnSerCompanySgRel queryDetail(Long id);

    /**
     * @MethodName queryDetailByMap
     * @Description:根据多条件查询详情
     * @param map
     * @return: com.hfkj.entity.EnSerCompanySgRel
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午6:11
     */
    EnSerCompanySgRel queryDetailByMap(Map<String , Object> map);


    /**
     * @MethodName getList
     * @Description:查询列表
     * @param map
     * @return: java.util.List<com.hfkj.entity.EnSerCompanySgRel>
     * @Author: Sum1Dream
     * @Date: 2025/7/9 下午6:11
     */
    List<EnSerCompanySgRel> getList(Map<String , Object> map);

}
