package com.hfkj.service.item;

import com.hfkj.entity.EnOilDepots;

import java.util.List;
import java.util.Map;

public interface EnOilDepotsService {


    /**
     * @MethodName create
     * @Description: 新增
     * @param enOilDepots
     * @Author: Sum1Dream
     * @Date: 2025/7/1 下午2:14
     */
    void create(EnOilDepots enOilDepots) throws Exception;

    /**
     * @MethodName update
     * @Description: 修改
     * @param enOilDepots
     * @Author: Sum1Dream
     * @Date: 2025/7/1 下午2:14
     */
    void update(EnOilDepots enOilDepots);


    /**
     * @MethodName delete
     * @Description: 删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2025/7/1 下午2:14
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description: 查询详情
     * @param id
     * @return: com.hfkj.entity.EnOilDepots
     * @Author: Sum1Dream
     * @Date: 2025/7/1 下午2:15
     */
    EnOilDepots queryDetail(Long id);

    /**
     * @MethodName queryDetailByMap
     * @Description: 根据map查询详情
     * @param map
     * @return: com.hfkj.entity.EnOilDepots
     * @Author: Sum1Dream
     * @Date: 2025/7/1 下午2:16
     */
    EnOilDepots queryDetailByMap(Map<String , Object> map);

    /**
     * @MethodName getList
     * @Description: 查询列表
     * @param map
     * @return: java.util.List<com.hfkj.entity.EnOilDepots>
     * @Author: Sum1Dream
     * @Date: 2025/7/1 下午2:16
     */
    List<EnOilDepots> getList(Map<String , Object> map);

}
