package com.hfkj.sysenum;

/**
 * 账户类型
 * @className: SecUserObjectTypeEnum
 * @author: HuRui
 * @date: 2024/4/23
 **/
public enum SecUserObjectTypeEnum {

    /**
     * 系统账户
     */
    type1(1, "系统账户"),

    /**
     * 项目
     */
    type2(2, "项目"),

    /**
     * 油库管理员
     */
    type3(3, "油库管理员"),
    /**
     * 服务公司管理员
     */
    type4(4, "服务公司管理员"),
    /**
     * 运输公司管理员
     */
    type5(5, "运输公司管理员"),
    /**
     * 送油司机
     */
    type6(6, "送油司机"),
    ;

    private int code;

    private String name;


    SecUserObjectTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
